<bugID>1120288<Summary>SocialService.jsm shouldn't be using AddonManagerPrivate.notifyAddonChanged()</Summary><Description>Not sure how I missed this in my driveby review of bug 755126.... SocialService.jsm inappropriately calls AddonManagerPrivate.notifyAddonChanged() when a social provider gets disabled. It shouldn't.

The notifyAddonChanged() API is meant to be used when only one add-on of a given add-on type is meant to be enabled at a time - such as themes.

Thankfully, the usage here is harmless, since no code is listening for addonChanged for that add-on type. But the usage is still inappropriate and should be removed (doubly so because I want to remove that API).</Description></bugID>